> ## Documentation Index
> Fetch the complete documentation index at: https://docs.numofx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel order



## OpenAPI

````yaml POST /v1/orders/cancel
openapi: 3.1.0
info:
  title: Numo orderbook API
  description: >-
    REST endpoints exposed by Numo's markets-service and execution-service for
    physically delivered FX futures.
  version: 1.0.0
servers:
  - url: https://api.numofx.com
    description: markets-service
  - url: https://executor.numofx.com
    description: execution-service
security: []
tags:
  - name: Markets service
  - name: Execution service
paths:
  /v1/orders/cancel:
    post:
      tags:
        - Markets service
      summary: Cancel order by owner and nonce
      operationId: cancelOrder
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CancelOrderRequest'
      responses:
        '200':
          description: Cancelled order
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderResponse'
        '404':
          description: Active order not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    CancelOrderRequest:
      type: object
      required:
        - owner_address
        - nonce
      properties:
        owner_address:
          type: string
        nonce:
          type: string
    OrderResponse:
      type: object
      properties:
        order:
          $ref: '#/components/schemas/Order'
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
    Order:
      type: object
      properties:
        order_id:
          type: string
        owner_address:
          type: string
        signer_address:
          type: string
        subaccount_id:
          type: string
        recipient_id:
          type: string
        nonce:
          type: string
        side:
          type: string
          enum:
            - buy
            - sell
        asset_address:
          type: string
        sub_id:
          type: string
        desired_amount:
          type: string
        filled_amount:
          type: string
        limit_price:
          type: string
        worst_fee:
          type: string
        expiry:
          type: integer
        action_json: {}
        signature:
          type: string
        status:
          type: string
        market:
          type: string

````